<div class="Carousel-Nav">
  <div class="Carousel">
    <owl-carousel-o [options]="customOptions">
      <ng-container *ngFor="let slide of slidesStore">
        <ng-template carouselSlide [id]="slide.id">
          <div class="Carousel__img">
            <img src="{{ slide.url }}" alt="" />
          </div>
        </ng-template>
      </ng-container>
    </owl-carousel-o>
  </div>

  <!-- Form left -->
  <div class="left">
    <a href="">
      <img src="../../../assets/images/logoCoin98Insight.svg" alt="">
    </a>

    <!-- login -->
    <div *ngIf="!isForgotPass">
      <ul class="login-form-title">
        <li class="tab-name" [ngClass]="{'active': !isSignUp}" (click)="onLogin()">Login</li>
        <li class="tab-name" [ngClass]="{'active': isSignUp}" (click)="onSignUp()">Sign Up</li>
      </ul>

      <div *ngIf="!isSignUp" formGroupName="loginForm" class="form" (ngSubmit)="onSubmit()">
        <label for="email">Email:</label>
        <div class="input-form">
          <input id="email" type="text" formControlName="email" placeholder="Input your email" />
        </div>

        <label for="passWord">Password:</label>
        <div class="input-form">
          <input id="password" type="text" formControlName="passWord" placeholder="Input your password" />
          <img class="icon-show" src="{{ iconShow }}" alt="" (click)="showPass()" />
        </div>
        <div class="forgot">
          <div class="wallet">
            <svg width="32" height="32" viewBox="0 0 32 32" xmlns="http://www.w3.org/2000/svg">
              <g stroke="#CFB160" stroke-dasharray="0,0" stroke-linecap="round" stroke-linejoin="round"
                stroke-width="1.5" fill="none" fill-rule="evenodd">
                <g fill-rule="nonzero">
                  <path
                    d="M23.253 20.24c.12 1.44 1.44 2.493 2.88 2.493h2.534v1.587a5.025 5.025 0 0 1-5.014 5.013H8.347a5.025 5.025 0 0 1-5.014-5.013v-8.973a5.025 5.025 0 0 1 5.014-5.014h15.306a5.025 5.025 0 0 1 5.014 5.014v1.92h-2.694c-.746 0-1.426.293-1.92.8a2.678 2.678 0 0 0-.8 2.173z" />
                  <path
                    d="M3.333 16.547v-6.094c0-1.586.974-3 2.454-3.56l10.586-4c1.654-.626 3.427.6 3.427 2.374v5.066" />
                </g>
                <path
                  d="M30.078 21.374c0 .733-.586 1.333-1.333 1.36h-2.613c-1.44 0-2.76-1.054-2.88-2.494-.08-.84.24-1.626.8-2.173a2.657 2.657 0 0 1 1.92-.8h2.773a1.369 1.369 0 0 1 1.333 1.36v2.747zM9.333 16h9.334" />
              </g>
            </svg>
            <p>Login via Coin 98 Wallet</p>
          </div>
          <p (click)="onForgotPass()">Forgot password</p>
        </div>
        <button class="btn-login" type="submit" (click)="onSubmit()">
          <p>Login</p>
        </button>
        <div class="check-box">
          <div class="box">
            <input type="checkbox" name="" id="">
            <p for="email">I'm not a robot</p>
          </div>
          <div class="img-anchor">
            <img src="https://www.gstatic.com/recaptcha/api2/logo_48.png" alt="">
            <p>reCAPCHA</p>
            <a href="">privacy</a>
            <a href="">Terms</a>
          </div>
        </div>
      </div>

      <!-- sign up -->
      <app-register *ngIf="isSignUp"></app-register>
    </div>

    <!-- forgot pass -->
    <div *ngIf="isForgotPass">
      <ul class="login-form-title">
        <li class="tab-name active">Forgot password</li>
      </ul>

      <div *ngIf="!isSignUp" formGroupName="loginForm" class="form">
        <label for="email">Email:</label>
        <div class="input-form">
          <input id="email" type="text" formControlName="email" placeholder="Input your email" />
        </div>
        
        <div class="btn-login">
          <p>Continue</p>
        </div>
      </div>
    </div>

    <!-- button back -->
    <a href="" class="btn-back">
      <svg width="30" height="30" viewBox="0 0 40 40" xmlns="http://www.w3.org/2000/svg">
        <g fill="none" fill-rule="evenodd">
          <path d="m23.098 27.84-6.52-6.52c-.77-.77-.77-2.03 0-2.8l6.52-6.52" stroke="#EDEDED" stroke-width="1.5"
            stroke-linecap="round" stroke-linejoin="round" stroke-dasharray="0,0" />
          <circle fill="#7A7775" opacity=".244" cx="20" cy="20" r="20" />
        </g>
      </svg>
      <p>Back</p>
    </a>
  </div>
</div>